Summary:        An open source data binding framework for Java
Name:           castor
Epoch:          1
Version:        1.3.3
Release:        %mkrel 5
Group:          Development/Java
# Older source files are BSD licensed and newer ones are ASL licensed
License:        BSD and ASL 2.0
URL:            http://castor.codehaus.org
# Hash sum of source will not match upstream because bundled jars have been removed
Source0:        http://dist.codehaus.org/castor/%{version}/castor-%{version}-src.tgz
Patch0:         castor-1.3.2-fix-unmappable-chars.patch

BuildArch:      noarch
BuildRequires:  maven-local
BuildRequires:  maven-enforcer-plugin
BuildRequires:  maven-gpg-plugin
BuildRequires:  maven-source-plugin
BuildRequires:  codehaus-parent
BuildRequires:  apache-commons-cli
BuildRequires:  apache-commons-lang
BuildRequires:  apache-commons-logging
BuildRequires:  regexp
BuildRequires:  ldapjdk
BuildRequires:  jakarta-oro
BuildRequires:  bea-stax
BuildRequires:  velocity
BuildRequires:  multithreadedtc
BuildRequires:  easymock3
BuildRequires:  mockito
BuildRequires:  javacc-maven-plugin
BuildRequires:  castor-maven-plugin
BuildRequires:  geronimo-jpa
BuildRequires:  geronimo-jta
BuildRequires:  springframework-context
BuildRequires:  springframework-test
Obsoletes:      castor-demo < 1.3.2
Obsoletes:      castor-test < 1.3.2
Obsoletes:      castor-xml < 1.3.2
Obsoletes:      castor-doc < 1.3.2

%description
Castor is an open source data binding framework for Java. It's basically
the shortest path between Java objects, XML documents and SQL tables.
Castor provides Java to XML binding, Java to SQL persistence, and more.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

find . -name "*.jar" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;

%patch0 -p0 -b.orig

# Disable uneeded modules
%pom_disable_module anttask
%pom_disable_module xmlctf-framework
%pom_disable_module maven-plugins
%pom_disable_module xml-annotations

# Disable integration test suites
%pom_disable_module cpactf
%pom_disable_module jpa-extensions-it
%pom_disable_module xmlctf

# Remove test deps that are not in Fedora
%pom_remove_dep tyrex:tyrex
%pom_remove_dep tyrex:tyrex cpa
%pom_xpath_remove "pom:build/pom:extensions"

# Fix dep on cglib
sed -i 's@cglib-nodep@cglib@g' pom.xml cpa/pom.xml

# Fix dep on mtc
sed -i 's@edu.umd.cs.mtc@edu.umd.cs@g' pom.xml xml/pom.xml

# Fix dep on ant
sed -i 's@groupId>ant<@groupId>org.apache.ant<@g' pom.xml xml/pom.xml

%build
%mvn_build -- -Dgpg.skip=true -Dmaven.test.skip=true

%install
%mvn_install

%files -f .mfiles
%doc src/doc/license.txt src/doc/new-license.txt
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc
%doc src/doc/license.txt src/doc/new-license.txt



%changelog
* Wed May 17 2017 neoclust <neoclust> 1:1.3.3-5.mga6
+ Revision: 1102494
- Add missing BuildRequire

* Wed Mar 02 2016 neoclust <neoclust> 1:1.3.3-4.mga6
+ Revision: 982556
- Second rebuild of the java stack

* Mon Feb 29 2016 daviddavid <daviddavid> 1:1.3.3-3.mga6
+ Revision: 980903
+ rebuild (emptylog)

* Sun Feb 21 2016 neoclust <neoclust> 1.3.3-3.mga6
+ Revision: 975755
- First rebuild of the java stack
- sync package castor with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Feb 20 2015 daviddavid <daviddavid> 1:1.3.3-2.mga5
+ Revision: 816124
- rebuild for new jruby, yecht and nailgun
- add missing BuildRequires on options and jffi-native

* Wed Dec 24 2014 luigiwalser <luigiwalser> 1:1.3.3-1.mga5
+ Revision: 805469
- 1.3.3 (use tarball from fedora, fixes CVE-2014-3004)

* Wed Oct 15 2014 umeabot <umeabot> 1:1.3.2-12.mga5
+ Revision: 748357
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Dec 24 2013 dmorgan <dmorgan> 1:1.3.2-10.mga4
+ Revision: 560525
- Add BR on castor-maven-plugin

* Wed Dec 18 2013 dmorgan <dmorgan> 1:1.3.2-9.mga4
+ Revision: 558510
- Fix BuildRequires
- Bootstrap XML modules with pre-generated source, this is needed to build
  castor-maven-plugin, which is needed to generate the source we are using to bootstrap
- Build with XMVN
- Add back subpackages
- Obsolete maven-plugin-castor

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + luigiwalser <luigiwalser>
    - BR maven-local for mvn-rpmbuild

* Sun Sep 09 2012 dmorgan <dmorgan> 1:1.3.2-3.mga3
+ Revision: 291021
+ rebuild (emptylog)

* Sun Sep 09 2012 dmorgan <dmorgan> 1:1.3.2-2.mga3
+ Revision: 291020
- Use fedora spec file layout

* Sat Mar 03 2012 dmorgan <dmorgan> 1:1.3.2-1.mga2
+ Revision: 217070
- Remove ant build support, and only use the maven one

  + gil <gil>
    - update to 1.3.2

* Sun Dec 18 2011 dmorgan <dmorgan> 1:1.3.1-4.mga2
+ Revision: 184072
- Disable copy of Source1, this create pbs in install

* Sat Dec 03 2011 gil <gil> 1:1.3.1-3.mga2
+ Revision: 175644
- changed Requires log4j in liblog4j-java
- build fix
- build fixed
  enable maven cpatests profile
  rebuilt with mockejb 0.6-0.b2.2 support
- fix ldapjdk version/release

  + dmorgan <dmorgan>
    - Fix install of examples
    - Remove gcj support
    - Re enable maven build support
    - Re enable maven build support

* Sun Nov 27 2011 dmorgan <dmorgan> 1:1.3.1-2.mga2
+ Revision: 172814
- Disable maven , needed for maven-plugin-castor dep build loop
- Enable maven build support
- Adapt to mageia guidelines

  + gil <gil>
    - added castor-1.3.1-script
    - update to 1.3.1
    - update to 1.1.2.1
    - update to 0.9.6
    - update to 0.9.6

* Sat Jan 22 2011 dmorgan <dmorgan> 1:0.9.5-1.mga1
+ Revision: 31612
- Remove ending point in summary
- Downgrade to version 0.9.5 and fix build
- Remove wrong buildrequire
- Add  geronimo-jta as buildrequire
- Add java-rpmbuild as Buildrequire
- imported package castor


* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 1.0.5-3mdv2008.0
+ Revision: 87266
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Sun Sep 09 2007 Pascal Terjan <pterjan@mandriva.org> 0:1.0.5-2mdv2008.0
+ Revision: 82837
- update to new version


* Sat Dec 16 2006 David Walluck <walluck@mandriva.org> 1.0.5-1mdv2007.0
+ Revision: 98055
- 1.0.5
- Import castor

* Sun Jun 18 2006 David Walluck <walluck@mandriva.org> 0.9.5-1.3mdv2007.0
- fix build classpath

* Sun Jun 04 2006 David Walluck <walluck@mandriva.org> 0.9.5-1.3mdv2007.0
- rebuild for libgcj.so.7
- aot-compile

* Wed Jan 18 2006 David Walluck <walluck@mandriva.org> 0:0.9.5-1.2mdk
- export OPT_JAR_LIST

* Sun Sep 11 2005 David Walluck <walluck@mandriva.org> 0:0.9.5-1.1mdk
- release

* Fri Jun 17 2005 Gary Benson <gbenson@redhat.com> 0:0.9.5-1jpp_1fc
- Build into Fedora.

* Sat Jun 11 2005 Gary Benson <gbenson@redhat.com>
- Remove jarfiles and classfiles from the tarball.

* Fri Jun 03 2005 Gary Benson <gbenson@redhat.com>
- Fix up (alleged) invalid characters in the documentation.

* Sat Jul 24 2004 Fernando Nasser <fnasser@redhat.com> 0:0.9.5-1jpp_3rh
- use servletapi5 instead of servletapi4

* Thu Mar 11 2004 Frank Ch. Eigler <fche@redhat.com> 0:0.9.5-1jpp_2rh
- try servletapi4 instead of servletapi3
- add example-servletapi4.patch.bz2

* Thu Mar 04 2004 Frank Ch. Eigler <fche@redhat.com> 0:0.9.5-1jpp_1rh
- RH vacuuming

